using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.UIControls;
using CMS.GlobalHelper;

public partial class CMSModules_Content_CMSDesk_Edit_ImageEditor : CMSModalPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (QueryHelper.ValidateHash("hash"))
        {
            if (QueryHelper.GetBoolean("refresh", false))
            {
                string guid = QueryHelper.GetString("attachmentguid", "");
                string nodeId = QueryHelper.GetString("nodeId", "");
            }

            string title = ResHelper.GetString("general.editimage");
            this.Page.Title = title;
            this.CurrentMaster.Title.TitleText = title;
            this.CurrentMaster.Title.TitleImage = GetImageUrl("Design/Controls/ImageEditor/Title.png");

            this.AddNoCacheTag();
        }
        else
        {
            // Hide all controls
            this.imageEditor.Visible = false;
            this.btnClose.Visible = false;

            string url = ResolveUrl("~/CMSMessages/Error.aspx?title=" + ResHelper.GetString("dialogs.badhashtitle") + "&text=" + ResHelper.GetString("dialogs.badhashtext") + "&cancel=1");
            ltlScript.Text = ScriptHelper.GetScript("window.location = '" + url + "';");
        }
    }
}